{"openapi":"3.1.0","info":{"title":"anicall.io API v2","version":"2.0.0","description":"Telefonagenten (Inbound-Empfang, Outbound-Setting), Wissensbasis mit Wissensgrenze, Anrufe, Anruf-Aufträge mit Freigabe-Tor, Kennzahlen und signierte Ereignisse. Auth: Authorization: Bearer anc_live_…  MCP-Server: POST https://api.anicall.io/mcp"},"servers":[{"url":"https://api.anicall.io"}],"paths":{"/api/v2/me":{"get":{"tags":["public-v2"],"summary":"Me","operationId":"me_api_v2_me_get","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents":{"get":{"tags":["public-v2"],"summary":"List Agents","operationId":"list_agents_api_v2_agents_get","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}":{"get":{"tags":["public-v2"],"summary":"Get Agent","operationId":"get_agent_api_v2_agents__agent_id__get","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["public-v2"],"summary":"Patch Agent","operationId":"patch_agent_api_v2_agents__agent_id__patch","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentPatch"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/knowledge":{"get":{"tags":["public-v2"],"summary":"List Knowledge","operationId":"list_knowledge_api_v2_agents__agent_id__knowledge_get","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["public-v2"],"summary":"Add Knowledge","operationId":"add_knowledge_api_v2_agents__agent_id__knowledge_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KnowledgeSourceBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/knowledge/search":{"post":{"tags":["public-v2"],"summary":"Search Knowledge","operationId":"search_knowledge_api_v2_agents__agent_id__knowledge_search_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/knowledge-gaps":{"get":{"tags":["public-v2"],"summary":"List Gaps","operationId":"list_gaps_api_v2_agents__agent_id__knowledge_gaps_get","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"status","in":"query","required":false,"schema":{"enum":["open","answered","dismissed","all"],"type":"string","default":"open","title":"Status"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/knowledge-gaps/{gap_id}/answer":{"post":{"tags":["public-v2"],"summary":"Answer Gap","operationId":"answer_gap_api_v2_agents__agent_id__knowledge_gaps__gap_id__answer_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"gap_id","in":"path","required":true,"schema":{"type":"string","title":"Gap Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GapAnswer"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/knowledge-gaps/{gap_id}/dismiss":{"post":{"tags":["public-v2"],"summary":"Dismiss Gap","operationId":"dismiss_gap_api_v2_agents__agent_id__knowledge_gaps__gap_id__dismiss_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"gap_id","in":"path","required":true,"schema":{"type":"string","title":"Gap Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/answers":{"post":{"tags":["public-v2"],"summary":"Add Answer","operationId":"add_answer_api_v2_agents__agent_id__answers_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogEntry"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/phone-numbers":{"get":{"tags":["public-v2"],"summary":"List Numbers","operationId":"list_numbers_api_v2_phone_numbers_get","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/phone-numbers/{number_id}":{"patch":{"tags":["public-v2"],"summary":"Assign Number","operationId":"assign_number_api_v2_phone_numbers__number_id__patch","parameters":[{"name":"number_id","in":"path","required":true,"schema":{"type":"string","title":"Number Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NumberPatch"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/calendars":{"get":{"tags":["public-v2"],"summary":"List Calendars","operationId":"list_calendars_api_v2_calendars_get","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/calendars/calendly":{"post":{"tags":["public-v2"],"summary":"Connect Calendly","operationId":"connect_calendly_api_v2_calendars_calendly_post","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalendlyConnect"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/calls":{"get":{"tags":["public-v2"],"summary":"List Calls","operationId":"list_calls_api_v2_calls_get","parameters":[{"name":"agentId","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agentid"}},{"name":"since","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Since"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":50,"title":"Limit"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["public-v2"],"summary":"Start Call","description":"Einzelanruf. Anders als v1 ist die Kontaktgrundlage Pflicht (Lead-Ampel):\nohne belegbaren Grund kein Anruf.","operationId":"start_call_api_v2_calls_post","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartCallV2"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/calls/{call_id}":{"get":{"tags":["public-v2"],"summary":"Get Call","operationId":"get_call_api_v2_calls__call_id__get","parameters":[{"name":"call_id","in":"path","required":true,"schema":{"type":"string","title":"Call Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/dial-jobs":{"post":{"tags":["public-v2"],"summary":"Create Dial Job","operationId":"create_dial_job_api_v2_dial_jobs_post","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DialJobBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/dial-jobs/{job_id}":{"get":{"tags":["public-v2"],"summary":"Get Dial Job","operationId":"get_dial_job_api_v2_dial_jobs__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/dial-jobs/{job_id}/approve":{"post":{"tags":["public-v2"],"summary":"Approve Dial Job","description":"Freigabe-Tor: ein namentlich genannter Mensch gibt den Auftrag frei,\ndanach startet der Dialer ihn innerhalb der Anrufzeiten.","operationId":"approve_dial_job_api_v2_dial_jobs__job_id__approve_post","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApproveBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/dial-jobs/{job_id}/pause":{"post":{"tags":["public-v2"],"summary":"Pause Dial Job","operationId":"pause_dial_job_api_v2_dial_jobs__job_id__pause_post","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/stats":{"get":{"tags":["public-v2"],"summary":"Stats","operationId":"stats_api_v2_stats_get","parameters":[{"name":"days","in":"query","required":false,"schema":{"type":"integer","maximum":365,"minimum":1,"default":30,"title":"Days"}},{"name":"agentId","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agentid"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/webhooks":{"get":{"tags":["public-v2"],"summary":"List Webhooks","operationId":"list_webhooks_api_v2_webhooks_get","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["public-v2"],"summary":"Create Webhook","operationId":"create_webhook_api_v2_webhooks_post","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/webhooks/{webhook_id}":{"delete":{"tags":["public-v2"],"summary":"Delete Webhook","operationId":"delete_webhook_api_v2_webhooks__webhook_id__delete","parameters":[{"name":"webhook_id","in":"path","required":true,"schema":{"type":"string","title":"Webhook Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/webhooks/{webhook_id}/test":{"post":{"tags":["public-v2"],"summary":"Test Webhook","operationId":"test_webhook_api_v2_webhooks__webhook_id__test_post","parameters":[{"name":"webhook_id","in":"path","required":true,"schema":{"type":"string","title":"Webhook Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/simulate":{"post":{"tags":["public-v2"],"summary":"Simulate Agent Turn","description":"Ein Gesprächszug des Agenten mit seinem GESPEICHERTEN Leitfaden und dem\nechten Sprachmodell — ohne Telefonat, ohne Kosten, ohne Schreibzugriffe.\n\nWerkzeuge werden simuliert (Termin buchen, Lead/Rückruf erfassen,\nAuflegen, Durchstellen) und als `toolCalls` zurückgegeben; die\nWissenssuche läuft echt (nur lesend). Leere `messages` → Begrüßung.","operationId":"simulate_agent_turn_api_v2_agents__agent_id__simulate_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimulateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/agents/{agent_id}/simulate-dialog":{"post":{"tags":["public-v2"],"summary":"Simulate Dialog","description":"Komplettes Probe-Telefonat: der Agent spricht mit einer simulierten\nGegenseite (Szenario), beide über das echte Sprachmodell. Gibt das\nTranskript inkl. simulierter Werkzeug-Aufrufe zurück. Kein Telefonat,\nkeine Kosten, keine Schreibzugriffe.","operationId":"simulate_dialog_api_v2_agents__agent_id__simulate_dialog_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string","default":"","title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimulateDialogRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AgentCreate":{"properties":{"name":{"type":"string","maxLength":100,"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"voice_id":{"type":"string","title":"Voice Id"},"voice_settings":{"$ref":"#/components/schemas/VoiceSettings"},"llm_model":{"type":"string","title":"Llm Model","default":"openai/gpt-oss-120b"},"llm_temperature":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Llm Temperature","default":0.7},"max_call_duration_seconds":{"type":"integer","maximum":3600.0,"minimum":30.0,"title":"Max Call Duration Seconds","default":300},"webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Webhook Url"},"role":{"type":"string","pattern":"^(inbound|setter|closer)$","title":"Role","default":"inbound"},"industry":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Industry"},"tone":{"type":"string","title":"Tone","default":"formal"},"communication_style":{"type":"string","title":"Communication Style","default":"professional"},"scope_strictness":{"type":"string","title":"Scope Strictness","default":"strict"},"allowed_skills":{"items":{"type":"string"},"type":"array","title":"Allowed Skills"},"business_info":{"$ref":"#/components/schemas/BusinessInfo"},"calendar_connection_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calendar Connection Id"},"endpointing_ms":{"type":"integer","maximum":2000.0,"minimum":50.0,"title":"Endpointing Ms","default":300},"disable_greeting_interruption":{"type":"boolean","title":"Disable Greeting Interruption","default":false},"is_draft":{"type":"boolean","title":"Is Draft","default":false}},"type":"object","required":["name","voice_id"],"title":"AgentCreate"},"AgentDocumentResponse":{"properties":{"id":{"type":"string","title":"Id"},"agent_id":{"type":"string","title":"Agent Id"},"filename":{"type":"string","title":"Filename"},"mime_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mime Type"},"byte_size":{"type":"integer","title":"Byte Size"},"char_count":{"type":"integer","title":"Char Count"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","agent_id","filename","mime_type","byte_size","char_count","created_at"],"title":"AgentDocumentResponse"},"AgentPatch":{"properties":{"scopeStrictness":{"anyOf":[{"type":"string","enum":["grounded","strict","balanced","open"]},{"type":"null"}],"title":"Scopestrictness"},"isActive":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Isactive"},"calendarConnectionId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calendarconnectionid"},"groundingBlockedTopics":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":20},{"type":"null"}],"title":"Groundingblockedtopics"},"groundingMinSimilarity":{"anyOf":[{"type":"number","maximum":0.9,"minimum":0.1},{"type":"null"}],"title":"Groundingminsimilarity"},"transferPhone":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"Transferphone"},"transferSchedule":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Transferschedule"},"transferBusyCheck":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Transferbusycheck"},"name":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Name"},"role":{"anyOf":[{"type":"string","enum":["inbound","setter","closer"]},{"type":"null"}],"title":"Role"},"tone":{"anyOf":[{"type":"string","enum":["formal","informal"]},{"type":"null"}],"title":"Tone"},"communicationStyle":{"anyOf":[{"type":"string","enum":["warm","professional","concise","enthusiastic"]},{"type":"null"}],"title":"Communicationstyle"},"allowedSkills":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":30},{"type":"null"}],"title":"Allowedskills"},"voiceId":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Voiceid"},"voiceSettings":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Voicesettings"},"llmTemperature":{"anyOf":[{"type":"number","maximum":1.0,"minimum":0.0},{"type":"null"}],"title":"Llmtemperature"},"llmModel":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Llmmodel"},"maxCallDurationSeconds":{"anyOf":[{"type":"integer","maximum":3600.0,"minimum":30.0},{"type":"null"}],"title":"Maxcalldurationseconds"},"endpointingMs":{"anyOf":[{"type":"integer","maximum":2000.0,"minimum":50.0},{"type":"null"}],"title":"Endpointingms"},"disableGreetingInterruption":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Disablegreetinginterruption"},"businessInfo":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Businessinfo"}},"type":"object","title":"AgentPatch"},"AgentResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"system_prompt":{"type":"string","title":"System Prompt"},"voice_id":{"type":"string","title":"Voice Id"},"voice_settings":{"additionalProperties":true,"type":"object","title":"Voice Settings"},"llm_model":{"type":"string","title":"Llm Model"},"llm_temperature":{"type":"number","title":"Llm Temperature"},"max_call_duration_seconds":{"type":"integer","title":"Max Call Duration Seconds"},"is_active":{"type":"boolean","title":"Is Active"},"is_draft":{"type":"boolean","title":"Is Draft"},"webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Webhook Url"},"role":{"type":"string","title":"Role"},"industry":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Industry"},"tone":{"type":"string","title":"Tone"},"communication_style":{"type":"string","title":"Communication Style"},"scope_strictness":{"type":"string","title":"Scope Strictness"},"allowed_skills":{"items":{"type":"string"},"type":"array","title":"Allowed Skills"},"business_info":{"additionalProperties":true,"type":"object","title":"Business Info"},"calendar_connection_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calendar Connection Id"},"endpointing_ms":{"type":"integer","title":"Endpointing Ms"},"disable_greeting_interruption":{"type":"boolean","title":"Disable Greeting Interruption"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","tenant_id","name","description","system_prompt","voice_id","voice_settings","llm_model","llm_temperature","max_call_duration_seconds","is_active","is_draft","webhook_url","role","industry","tone","communication_style","scope_strictness","allowed_skills","business_info","calendar_connection_id","endpointing_ms","disable_greeting_interruption","created_at","updated_at"],"title":"AgentResponse"},"AgentUpdate":{"properties":{"name":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"voice_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Voice Id"},"voice_settings":{"anyOf":[{"$ref":"#/components/schemas/VoiceSettings"},{"type":"null"}]},"llm_model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Llm Model"},"llm_temperature":{"anyOf":[{"type":"number","maximum":1.0,"minimum":0.0},{"type":"null"}],"title":"Llm Temperature"},"max_call_duration_seconds":{"anyOf":[{"type":"integer","maximum":3600.0,"minimum":30.0},{"type":"null"}],"title":"Max Call Duration Seconds"},"webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Webhook Url"},"is_active":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Active"},"role":{"anyOf":[{"type":"string","pattern":"^(inbound|setter|closer)$"},{"type":"null"}],"title":"Role"},"industry":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Industry"},"tone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tone"},"communication_style":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Communication Style"},"scope_strictness":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Scope Strictness"},"allowed_skills":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Allowed Skills"},"business_info":{"anyOf":[{"$ref":"#/components/schemas/BusinessInfo"},{"type":"null"}]},"calendar_connection_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calendar Connection Id"},"endpointing_ms":{"anyOf":[{"type":"integer","maximum":2000.0,"minimum":50.0},{"type":"null"}],"title":"Endpointing Ms"},"disable_greeting_interruption":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Disable Greeting Interruption"},"is_draft":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Draft"}},"type":"object","title":"AgentUpdate","description":"All fields optional for PATCH."},"AnicrmImportRequest":{"properties":{"project_ids":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":50},{"type":"null"}],"title":"Project Ids"},"statuses":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":9},{"type":"null"}],"title":"Statuses"},"consent_bases":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":4},{"type":"null"}],"title":"Consent Bases"},"list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Id"},"list_name":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"List Name"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"}},"type":"object","title":"AnicrmImportRequest"},"AnicrmKeyInput":{"properties":{"api_key":{"type":"string","maxLength":200,"minLength":1,"title":"Api Key"},"api_url":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Api Url"}},"type":"object","required":["api_key"],"title":"AnicrmKeyInput"},"AnicrmKeyStatus":{"properties":{"connected":{"type":"boolean","title":"Connected"},"api_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Api Url"}},"type":"object","required":["connected"],"title":"AnicrmKeyStatus"},"AnileadImportRequest":{"properties":{"project_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Project Id"},"project_ids":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Project Ids"},"list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Id"},"list_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Name"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"}},"type":"object","title":"AnileadImportRequest"},"AnileadKeyInput":{"properties":{"api_key":{"type":"string","minLength":1,"title":"Api Key"}},"type":"object","required":["api_key"],"title":"AnileadKeyInput"},"AnileadKeyStatus":{"properties":{"connected":{"type":"boolean","title":"Connected"}},"type":"object","required":["connected"],"title":"AnileadKeyStatus"},"AnswerRequest":{"properties":{"answer":{"type":"string","maxLength":4000,"minLength":2,"title":"Answer"}},"type":"object","required":["answer"],"title":"AnswerRequest"},"ApproveBody":{"properties":{"approvedBy":{"type":"string","maxLength":255,"minLength":2,"title":"Approvedby"},"note":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Note"}},"type":"object","required":["approvedBy"],"title":"ApproveBody"},"ApproveRequest":{"properties":{"note":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Note"}},"type":"object","title":"ApproveRequest"},"Body_import_leads_api_leads_import_post":{"properties":{"file":{"type":"string","contentMediaType":"application/octet-stream","title":"File"},"mapping":{"type":"string","title":"Mapping"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"},"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Id"},"default_region":{"type":"string","title":"Default Region","default":"DE"},"contact_basis":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Basis"},"contact_basis_note":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Basis Note"}},"type":"object","required":["file","mapping"],"title":"Body_import_leads_api_leads_import_post"},"Body_preview_import_api_leads_import_preview_post":{"properties":{"file":{"type":"string","contentMediaType":"application/octet-stream","title":"File"}},"type":"object","required":["file"],"title":"Body_preview_import_api_leads_import_preview_post"},"Body_upload_agent_document_api_agents__agent_id__documents_post":{"properties":{"file":{"type":"string","contentMediaType":"application/octet-stream","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_agent_document_api_agents__agent_id__documents_post"},"BookEventRequest":{"properties":{"calendar_id":{"type":"string","title":"Calendar Id"},"start":{"type":"string","format":"date-time","title":"Start"},"end":{"type":"string","format":"date-time","title":"End"},"title":{"type":"string","maxLength":200,"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"attendee_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Attendee Email"}},"type":"object","required":["calendar_id","start","end","title"],"title":"BookEventRequest"},"BusinessInfo":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address"},"phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone"},"email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Email"},"website":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Website"},"opening_hours_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Opening Hours Text"},"services_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Services Text"},"notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notes"},"greeting":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Greeting"},"persona_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Persona Name"},"working_hours":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Working Hours"},"terminology":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Terminology"},"transfer_phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Transfer Phone"},"transfer_schedule":{"anyOf":[{"$ref":"#/components/schemas/TransferSchedule"},{"type":"null"}]},"transfer_busy_check":{"anyOf":[{"$ref":"#/components/schemas/TransferBusyCheck"},{"type":"null"}]},"record_calls":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Record Calls"},"product_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Name"},"product_description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Description"},"target_audience":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Target Audience"},"target_contact_role":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Target Contact Role"},"qualification_criteria":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Qualification Criteria"},"objections_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Objections Text"},"pricing_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pricing Text"},"offer_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Offer Text"},"script_adjustments":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Script Adjustments"},"call_reason":{"anyOf":[{"type":"string","maxLength":600},{"type":"null"}],"title":"Call Reason"},"appointment_offer":{"anyOf":[{"type":"string","maxLength":1200},{"type":"null"}],"title":"Appointment Offer"},"proof_points":{"anyOf":[{"type":"string","maxLength":1500},{"type":"null"}],"title":"Proof Points"},"price_policy":{"anyOf":[{"type":"string","enum":["never","range","exact"]},{"type":"null"}],"title":"Price Policy"},"disqualifiers":{"anyOf":[{"type":"string","maxLength":800},{"type":"null"}],"title":"Disqualifiers"},"grounding_blocked_topics":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":20},{"type":"null"}],"title":"Grounding Blocked Topics"},"grounding_min_similarity":{"anyOf":[{"type":"number","maximum":0.9,"minimum":0.1},{"type":"null"}],"title":"Grounding Min Similarity"}},"type":"object","title":"BusinessInfo","description":"Free-form business data injected into the system prompt."},"BuyPhoneNumberRequest":{"properties":{"phone_number":{"type":"string","title":"Phone Number"},"country_code":{"type":"string","title":"Country Code","default":"DE"},"friendly_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Friendly Name"},"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"}},"type":"object","required":["phone_number"],"title":"BuyPhoneNumberRequest"},"CalDAVCreateRequest":{"properties":{"display_name":{"type":"string","maxLength":80,"title":"Display Name"},"caldav_url":{"type":"string","title":"Caldav Url","description":"CalDAV server URL"},"username":{"type":"string","maxLength":200,"title":"Username"},"password":{"type":"string","maxLength":400,"title":"Password"}},"type":"object","required":["display_name","caldav_url","username","password"],"title":"CalDAVCreateRequest"},"CalendarConnectionResponse":{"properties":{"id":{"type":"string","title":"Id"},"provider":{"type":"string","title":"Provider"},"display_name":{"type":"string","title":"Display Name"},"default_calendar_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Default Calendar Id"},"is_oauth_connected":{"type":"boolean","title":"Is Oauth Connected"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","provider","display_name","default_calendar_id","is_oauth_connected","created_at","updated_at"],"title":"CalendarConnectionResponse"},"CalendarListItem":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"}},"type":"object","required":["id","name"],"title":"CalendarListItem"},"CalendlyConnect":{"properties":{"token":{"type":"string","maxLength":2000,"minLength":20,"title":"Token"},"displayName":{"type":"string","maxLength":80,"title":"Displayname","default":"Calendly"},"eventTypeUri":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Eventtypeuri"}},"type":"object","required":["token"],"title":"CalendlyConnect"},"CalendlyCreateRequest":{"properties":{"display_name":{"type":"string","maxLength":80,"title":"Display Name","default":"Calendly"},"token":{"type":"string","maxLength":2000,"minLength":20,"title":"Token"}},"type":"object","required":["token"],"title":"CalendlyCreateRequest"},"CampaignCreate":{"properties":{"name":{"type":"string","maxLength":200,"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"setter_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Setter Agent Id"},"closer_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Closer Agent Id"},"phone_number_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number Id"},"lead_list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lead List Id"},"timezone":{"type":"string","title":"Timezone","default":"Europe/Berlin"},"calling_days":{"items":{"type":"string"},"type":"array","title":"Calling Days"},"calling_hours_start":{"type":"string","title":"Calling Hours Start","default":"09:00"},"calling_hours_end":{"type":"string","title":"Calling Hours End","default":"18:00"},"max_attempts":{"type":"integer","maximum":10.0,"minimum":1.0,"title":"Max Attempts","default":4},"retry_delay_minutes":{"type":"integer","maximum":10080.0,"minimum":5.0,"title":"Retry Delay Minutes","default":1440},"closer_delay_minutes":{"type":"integer","maximum":10080.0,"minimum":0.0,"title":"Closer Delay Minutes","default":60},"max_concurrent_calls":{"type":"integer","maximum":10.0,"minimum":1.0,"title":"Max Concurrent Calls","default":2},"amd_enabled":{"type":"boolean","title":"Amd Enabled","default":true},"require_contact_basis":{"type":"boolean","title":"Require Contact Basis","default":false},"allow_legitimate_interest":{"type":"boolean","title":"Allow Legitimate Interest","default":false},"max_gatekeeper_rejections":{"type":"integer","maximum":10.0,"minimum":1.0,"title":"Max Gatekeeper Rejections","default":2}},"type":"object","required":["name"],"title":"CampaignCreate"},"CampaignResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"status":{"type":"string","title":"Status"},"setter_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Setter Agent Id"},"closer_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Closer Agent Id"},"phone_number_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number Id"},"lead_list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lead List Id"},"timezone":{"type":"string","title":"Timezone"},"calling_days":{"items":{},"type":"array","title":"Calling Days"},"calling_hours_start":{"type":"string","title":"Calling Hours Start"},"calling_hours_end":{"type":"string","title":"Calling Hours End"},"max_attempts":{"type":"integer","title":"Max Attempts"},"retry_delay_minutes":{"type":"integer","title":"Retry Delay Minutes"},"closer_delay_minutes":{"type":"integer","title":"Closer Delay Minutes"},"max_concurrent_calls":{"type":"integer","title":"Max Concurrent Calls"},"amd_enabled":{"type":"boolean","title":"Amd Enabled"},"require_contact_basis":{"type":"boolean","title":"Require Contact Basis","default":false},"allow_legitimate_interest":{"type":"boolean","title":"Allow Legitimate Interest","default":false},"max_gatekeeper_rejections":{"type":"integer","title":"Max Gatekeeper Rejections","default":2},"source":{"type":"string","title":"Source","default":"dashboard"},"approval_required":{"type":"boolean","title":"Approval Required","default":false},"approved_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Approved At"},"approved_by":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Approved By"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"}},"type":"object","required":["id","tenant_id","name","description","status","setter_agent_id","closer_agent_id","phone_number_id","lead_list_id","timezone","calling_days","calling_hours_start","calling_hours_end","max_attempts","retry_delay_minutes","closer_delay_minutes","max_concurrent_calls","amd_enabled","created_at","updated_at","started_at","completed_at"],"title":"CampaignResponse"},"CampaignStats":{"properties":{"total_leads":{"type":"integer","title":"Total Leads","default":0},"captured":{"type":"integer","title":"Captured","default":0},"pending":{"type":"integer","title":"Pending","default":0},"in_call":{"type":"integer","title":"In Call","default":0},"retry":{"type":"integer","title":"Retry","default":0},"qualified":{"type":"integer","title":"Qualified","default":0},"appointment":{"type":"integer","title":"Appointment","default":0},"won":{"type":"integer","title":"Won","default":0},"not_interested":{"type":"integer","title":"Not Interested","default":0},"unreachable":{"type":"integer","title":"Unreachable","default":0},"dnc":{"type":"integer","title":"Dnc","default":0},"blacklisted":{"type":"integer","title":"Blacklisted","default":0},"failed":{"type":"integer","title":"Failed","default":0},"completed_leads":{"type":"integer","title":"Completed Leads","default":0},"total_calls":{"type":"integer","title":"Total Calls","default":0}},"type":"object","title":"CampaignStats"},"CampaignUpdate":{"properties":{"name":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"setter_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Setter Agent Id"},"closer_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Closer Agent Id"},"phone_number_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number Id"},"lead_list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lead List Id"},"timezone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Timezone"},"calling_days":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Calling Days"},"calling_hours_start":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calling Hours Start"},"calling_hours_end":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calling Hours End"},"max_attempts":{"anyOf":[{"type":"integer","maximum":10.0,"minimum":1.0},{"type":"null"}],"title":"Max Attempts"},"retry_delay_minutes":{"anyOf":[{"type":"integer","maximum":10080.0,"minimum":5.0},{"type":"null"}],"title":"Retry Delay Minutes"},"closer_delay_minutes":{"anyOf":[{"type":"integer","maximum":10080.0,"minimum":0.0},{"type":"null"}],"title":"Closer Delay Minutes"},"max_concurrent_calls":{"anyOf":[{"type":"integer","maximum":10.0,"minimum":1.0},{"type":"null"}],"title":"Max Concurrent Calls"},"amd_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Amd Enabled"},"require_contact_basis":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Require Contact Basis"},"allow_legitimate_interest":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Allow Legitimate Interest"},"max_gatekeeper_rejections":{"anyOf":[{"type":"integer","maximum":10.0,"minimum":1.0},{"type":"null"}],"title":"Max Gatekeeper Rejections"}},"type":"object","title":"CampaignUpdate"},"CampaignWithStats":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"status":{"type":"string","title":"Status"},"setter_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Setter Agent Id"},"closer_agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Closer Agent Id"},"phone_number_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number Id"},"lead_list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lead List Id"},"timezone":{"type":"string","title":"Timezone"},"calling_days":{"items":{},"type":"array","title":"Calling Days"},"calling_hours_start":{"type":"string","title":"Calling Hours Start"},"calling_hours_end":{"type":"string","title":"Calling Hours End"},"max_attempts":{"type":"integer","title":"Max Attempts"},"retry_delay_minutes":{"type":"integer","title":"Retry Delay Minutes"},"closer_delay_minutes":{"type":"integer","title":"Closer Delay Minutes"},"max_concurrent_calls":{"type":"integer","title":"Max Concurrent Calls"},"amd_enabled":{"type":"boolean","title":"Amd Enabled"},"require_contact_basis":{"type":"boolean","title":"Require Contact Basis","default":false},"allow_legitimate_interest":{"type":"boolean","title":"Allow Legitimate Interest","default":false},"max_gatekeeper_rejections":{"type":"integer","title":"Max Gatekeeper Rejections","default":2},"source":{"type":"string","title":"Source","default":"dashboard"},"approval_required":{"type":"boolean","title":"Approval Required","default":false},"approved_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Approved At"},"approved_by":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Approved By"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"},"stats":{"$ref":"#/components/schemas/CampaignStats"}},"type":"object","required":["id","tenant_id","name","description","status","setter_agent_id","closer_agent_id","phone_number_id","lead_list_id","timezone","calling_days","calling_hours_start","calling_hours_end","max_attempts","retry_delay_minutes","closer_delay_minutes","max_concurrent_calls","amd_enabled","created_at","updated_at","started_at","completed_at","stats"],"title":"CampaignWithStats"},"CanonicalLead":{"properties":{"externalId":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Externalid"},"externalSource":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"Externalsource"},"firstName":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Firstname"},"lastName":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Lastname"},"email":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Email"},"phone":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Phone"},"company":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Company"},"jobTitle":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Jobtitle"},"website":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Website"},"industry":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Industry"},"country":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Country"},"city":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"City"},"linkedinUrl":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Linkedinurl"},"notes":{"anyOf":[{"type":"string","maxLength":5000},{"type":"null"}],"title":"Notes"},"status":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Status"},"customFields":{"additionalProperties":true,"type":"object","title":"Customfields"}},"type":"object","title":"CanonicalLead","description":"Interchange-JSON beider APIs — exakt diese camelCase-Feldnamen (Spec §3)."},"CatalogEntry":{"properties":{"question":{"type":"string","maxLength":500,"minLength":3,"title":"Question"},"answer":{"type":"string","maxLength":4000,"minLength":2,"title":"Answer"}},"type":"object","required":["question","answer"],"title":"CatalogEntry"},"CatalogEntryRequest":{"properties":{"question":{"type":"string","maxLength":500,"minLength":3,"title":"Question"},"answer":{"type":"string","maxLength":4000,"minLength":2,"title":"Answer"}},"type":"object","required":["question","answer"],"title":"CatalogEntryRequest"},"CreateSourceRequest":{"properties":{"kind":{"type":"string","enum":["file","url","site","youtube","rss","social"],"title":"Kind"},"source_url":{"type":"string","title":"Source Url"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"}},"type":"object","required":["kind","source_url"],"title":"CreateSourceRequest"},"DialJobBody":{"properties":{"name":{"type":"string","maxLength":200,"title":"Name"},"setterAgentId":{"type":"string","title":"Setteragentid"},"closerAgentId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Closeragentid"},"phoneNumberId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phonenumberid"},"leads":{"items":{"$ref":"#/components/schemas/DialJobLead"},"type":"array","maxItems":500,"minItems":1,"title":"Leads"},"callingDays":{"items":{"type":"string"},"type":"array","title":"Callingdays"},"callingHoursStart":{"type":"string","title":"Callinghoursstart","default":"09:00"},"callingHoursEnd":{"type":"string","title":"Callinghoursend","default":"17:00"},"maxAttempts":{"type":"integer","maximum":6.0,"minimum":1.0,"title":"Maxattempts","default":3},"maxGatekeeperRejections":{"type":"integer","maximum":5.0,"minimum":1.0,"title":"Maxgatekeeperrejections","default":2},"allowLegitimateInterest":{"type":"boolean","title":"Allowlegitimateinterest","default":false}},"type":"object","required":["name","setterAgentId","leads"],"title":"DialJobBody"},"DialJobLead":{"properties":{"externalId":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Externalid"},"externalSource":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"Externalsource"},"firstName":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Firstname"},"lastName":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Lastname"},"email":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Email"},"phone":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Phone"},"company":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Company"},"jobTitle":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Jobtitle"},"website":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Website"},"industry":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Industry"},"country":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Country"},"city":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"City"},"linkedinUrl":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Linkedinurl"},"notes":{"anyOf":[{"type":"string","maxLength":5000},{"type":"null"}],"title":"Notes"},"status":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Status"},"customFields":{"additionalProperties":true,"type":"object","title":"Customfields"},"contactBasis":{"type":"string","enum":["consent","inquiry","callback_request","customer","legitimate_interest"],"title":"Contactbasis"},"contactBasisNote":{"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}],"title":"Contactbasisnote"}},"type":"object","required":["contactBasis"],"title":"DialJobLead"},"FreeSlotsRequest":{"properties":{"calendar_id":{"type":"string","title":"Calendar Id"},"start":{"type":"string","format":"date-time","title":"Start"},"end":{"type":"string","format":"date-time","title":"End"},"slot_minutes":{"type":"integer","maximum":240.0,"minimum":5.0,"title":"Slot Minutes","default":30},"working_hours_start":{"type":"integer","maximum":23.0,"minimum":0.0,"title":"Working Hours Start","default":9},"working_hours_end":{"type":"integer","maximum":24.0,"minimum":1.0,"title":"Working Hours End","default":17},"weekdays":{"items":{"type":"integer"},"type":"array","title":"Weekdays"},"buffer_minutes":{"type":"integer","maximum":120.0,"minimum":0.0,"title":"Buffer Minutes","default":0}},"type":"object","required":["calendar_id","start","end"],"title":"FreeSlotsRequest"},"GapAnswer":{"properties":{"answer":{"type":"string","maxLength":4000,"minLength":2,"title":"Answer"}},"type":"object","required":["answer"],"title":"GapAnswer"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"HubSpotConfig":{"properties":{"access_token":{"type":"string","title":"Access Token"},"portal_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Portal Id"}},"type":"object","required":["access_token"],"title":"HubSpotConfig"},"HubSpotStatus":{"properties":{"connected":{"type":"boolean","title":"Connected"},"portal_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Portal Id"},"valid":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Valid"}},"type":"object","required":["connected"],"title":"HubSpotStatus"},"IntegrationKeyCreate":{"properties":{"name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Name"},"scopes":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":20},{"type":"null"}],"title":"Scopes"}},"type":"object","title":"IntegrationKeyCreate"},"IntegrationKeyCreated":{"properties":{"id":{"type":"string","title":"Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"key_prefix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Prefix"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"last_used_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Used At"},"scopes":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Scopes"},"key":{"type":"string","title":"Key"}},"type":"object","required":["id","name","key_prefix","created_at","last_used_at","key"],"title":"IntegrationKeyCreated"},"IntegrationKeyResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"key_prefix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Prefix"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"last_used_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Used At"},"scopes":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Scopes"}},"type":"object","required":["id","name","key_prefix","created_at","last_used_at"],"title":"IntegrationKeyResponse"},"InviteMemberRequest":{"properties":{"email":{"type":"string","format":"email","title":"Email"},"role":{"type":"string","title":"Role","default":"member"},"locale":{"type":"string","title":"Locale","default":"de"}},"type":"object","required":["email"],"title":"InviteMemberRequest"},"KnowledgeSourceBody":{"properties":{"kind":{"type":"string","enum":["site","url","youtube","rss"],"title":"Kind"},"sourceUrl":{"type":"string","maxLength":2000,"title":"Sourceurl"},"title":{"anyOf":[{"type":"string","maxLength":512},{"type":"null"}],"title":"Title"}},"type":"object","required":["kind","sourceUrl"],"title":"KnowledgeSourceBody"},"KnowledgeSourceResponse":{"properties":{"id":{"type":"string","title":"Id"},"agent_id":{"type":"string","title":"Agent Id"},"kind":{"type":"string","title":"Kind"},"source_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Url"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"status":{"type":"string","title":"Status"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"},"chunk_count":{"type":"integer","title":"Chunk Count"},"last_synced_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Synced At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","agent_id","kind","source_url","title","status","error","chunk_count","last_synced_at","created_at","updated_at"],"title":"KnowledgeSourceResponse"},"LeadCreate":{"properties":{"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"},"list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Id"},"name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Name"},"first_name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"First Name"},"last_name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Last Name"},"job_title":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Job Title"},"website":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Website"},"industry":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Industry"},"country":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Country"},"city":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"City"},"linkedin_url":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Linkedin Url"},"external_id":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"External Id"},"external_source":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"External Source"},"phone":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Phone"},"email":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Email"},"company":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Company"},"notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notes"},"contact_basis":{"anyOf":[{"type":"string","enum":["consent","inquiry","callback_request","customer","legitimate_interest"]},{"type":"null"}],"title":"Contact Basis"},"contact_basis_note":{"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}],"title":"Contact Basis Note"},"custom_fields":{"additionalProperties":true,"type":"object","title":"Custom Fields"}},"type":"object","title":"LeadCreate"},"LeadImportBody":{"properties":{"leads":{"items":{"$ref":"#/components/schemas/CanonicalLead"},"type":"array","title":"Leads"},"listId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Listid"},"listName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Listname"},"campaignId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaignid"}},"type":"object","required":["leads"],"title":"LeadImportBody"},"LeadListCreate":{"properties":{"name":{"type":"string","maxLength":200,"minLength":1,"title":"Name"}},"type":"object","required":["name"],"title":"LeadListCreate"},"LeadListResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"name":{"type":"string","title":"Name"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"lead_count":{"type":"integer","title":"Lead Count","default":0}},"type":"object","required":["id","tenant_id","name","created_at"],"title":"LeadListResponse"},"LeadListUpdate":{"properties":{"name":{"type":"string","maxLength":200,"minLength":1,"title":"Name"}},"type":"object","required":["name"],"title":"LeadListUpdate"},"LeadResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"call_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Call Id"},"source":{"type":"string","title":"Source"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"first_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"First Name"},"last_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Name"},"job_title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Job Title"},"website":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Website"},"industry":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Industry"},"country":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country"},"city":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"City"},"linkedin_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Linkedin Url"},"external_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"External Id"},"external_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"External Source"},"contact":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact"},"phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone"},"email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Email"},"intent":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Intent"},"notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notes"},"urgency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Urgency"},"hubspot_contact_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hubspot Contact Id"},"status":{"type":"string","title":"Status"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"},"list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Id"},"company":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Company"},"custom_fields":{"additionalProperties":true,"type":"object","title":"Custom Fields"},"funnel_status":{"type":"string","title":"Funnel Status"},"stage":{"type":"string","title":"Stage"},"call_attempts":{"type":"integer","title":"Call Attempts"},"next_attempt_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Next Attempt At"},"appointment_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Appointment At"},"contact_person":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Person"},"contact_basis":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Basis"},"contact_basis_note":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Basis Note"},"gatekeeper_rejections":{"type":"integer","title":"Gatekeeper Rejections","default":0},"last_call_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Call At"},"last_call_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Call Id"},"do_not_call":{"type":"boolean","title":"Do Not Call"},"blacklisted":{"type":"boolean","title":"Blacklisted"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","tenant_id","agent_id","call_id","source","name","contact","phone","email","intent","notes","urgency","hubspot_contact_id","status","campaign_id","list_id","company","custom_fields","funnel_status","stage","call_attempts","next_attempt_at","appointment_at","last_call_at","last_call_id","do_not_call","blacklisted","created_at"],"title":"LeadResponse"},"LeadUpdate":{"properties":{"name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Name"},"first_name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"First Name"},"last_name":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Last Name"},"job_title":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Job Title"},"website":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Website"},"industry":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Industry"},"country":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Country"},"city":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"City"},"linkedin_url":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Linkedin Url"},"external_id":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"External Id"},"external_source":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"External Source"},"phone":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Phone"},"email":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Email"},"company":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Company"},"notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notes"},"contact_basis":{"anyOf":[{"type":"string","enum":["consent","inquiry","callback_request","customer","legitimate_interest"]},{"type":"null"}],"title":"Contact Basis"},"contact_basis_note":{"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}],"title":"Contact Basis Note"},"funnel_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Funnel Status"},"do_not_call":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Do Not Call"},"blacklisted":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Blacklisted"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"},"list_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"List Id"}},"type":"object","title":"LeadUpdate"},"MemberResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Email"},"role":{"type":"string","title":"Role"}},"type":"object","required":["id","name","email","role"],"title":"MemberResponse"},"NumberPatch":{"properties":{"agentId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agentid"}},"type":"object","title":"NumberPatch"},"OutboundCallRequest":{"properties":{"agent_id":{"type":"string","title":"Agent Id"},"to_number":{"type":"string","title":"To Number"},"from_number":{"type":"string","title":"From Number"}},"type":"object","required":["agent_id","to_number","from_number"],"title":"OutboundCallRequest"},"PaginatedLeads":{"properties":{"items":{"items":{"$ref":"#/components/schemas/LeadResponse"},"type":"array","title":"Items"},"total":{"type":"integer","title":"Total"}},"type":"object","required":["items","total"],"title":"PaginatedLeads"},"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"twilio_sid":{"type":"string","title":"Twilio Sid"},"phone_number":{"type":"string","title":"Phone Number"},"country_code":{"type":"string","title":"Country Code"},"friendly_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Friendly Name"},"is_active":{"type":"boolean","title":"Is Active"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","tenant_id","agent_id","twilio_sid","phone_number","country_code","friendly_name","is_active","created_at"],"title":"PhoneNumberResponse"},"PhoneVerifyCheckRequest":{"properties":{"code":{"type":"string","title":"Code"}},"type":"object","required":["code"],"title":"PhoneVerifyCheckRequest"},"PhoneVerifyStartRequest":{"properties":{"phone":{"type":"string","title":"Phone"},"channel":{"type":"string","title":"Channel","default":"sms"}},"type":"object","required":["phone"],"title":"PhoneVerifyStartRequest"},"PhoneVerifyStatus":{"properties":{"phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone"},"verified":{"type":"boolean","title":"Verified"}},"type":"object","required":["phone","verified"],"title":"PhoneVerifyStatus"},"PromptPreviewRequest":{"properties":{"name":{"type":"string","maxLength":100,"title":"Name","default":"Mein Unternehmen"},"role":{"type":"string","pattern":"^(inbound|setter|closer)$","title":"Role","default":"inbound"},"industry":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Industry"},"tone":{"type":"string","title":"Tone","default":"formal"},"communication_style":{"type":"string","title":"Communication Style","default":"professional"},"scope_strictness":{"type":"string","title":"Scope Strictness","default":"strict"},"allowed_skills":{"items":{"type":"string"},"type":"array","title":"Allowed Skills"},"business_info":{"$ref":"#/components/schemas/BusinessInfo"},"calendar_connection_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Calendar Connection Id"}},"type":"object","title":"PromptPreviewRequest"},"SearchBody":{"properties":{"query":{"type":"string","maxLength":500,"minLength":2,"title":"Query"},"limit":{"type":"integer","maximum":10.0,"minimum":1.0,"title":"Limit","default":5}},"type":"object","required":["query"],"title":"SearchBody"},"SimulateDialogBody":{"properties":{"scenario":{"type":"string","maxLength":2000,"minLength":10,"title":"Scenario"},"lead":{"anyOf":[{"$ref":"#/components/schemas/SimulateDialogLead"},{"type":"null"}]},"max_turns":{"type":"integer","maximum":20.0,"minimum":1.0,"title":"Max Turns","default":12}},"type":"object","required":["scenario"],"title":"SimulateDialogBody"},"SimulateDialogLead":{"properties":{"name":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Name"},"company":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Company"},"notes":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Notes"}},"type":"object","title":"SimulateDialogLead"},"SimulateDialogRequest":{"properties":{"scenario":{"type":"string","maxLength":2000,"minLength":10,"title":"Scenario"},"lead":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Lead"},"maxTurns":{"type":"integer","maximum":20.0,"minimum":1.0,"title":"Maxturns","default":12},"slots":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":8},{"type":"null"}],"title":"Slots"}},"type":"object","required":["scenario"],"title":"SimulateDialogRequest"},"SimulateRequest":{"properties":{"messages":{"items":{"$ref":"#/components/schemas/_SimMessage"},"type":"array","maxItems":80,"title":"Messages"},"lead":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Lead"},"slots":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":8},{"type":"null"}],"title":"Slots"}},"type":"object","title":"SimulateRequest"},"StartCallBody":{"properties":{"agentId":{"type":"string","title":"Agentid"},"lead":{"anyOf":[{"$ref":"#/components/schemas/CanonicalLead"},{"type":"null"}]},"leadId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Leadid"},"phoneNumberId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phonenumberid"}},"type":"object","required":["agentId"],"title":"StartCallBody"},"StartCallV2":{"properties":{"agentId":{"type":"string","title":"Agentid"},"lead":{"anyOf":[{"$ref":"#/components/schemas/CanonicalLead"},{"type":"null"}]},"leadId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Leadid"},"phoneNumberId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phonenumberid"},"contactBasis":{"type":"string","enum":["consent","inquiry","callback_request","customer","legitimate_interest"],"title":"Contactbasis"},"contactBasisNote":{"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}],"title":"Contactbasisnote"}},"type":"object","required":["agentId","contactBasis"],"title":"StartCallV2"},"TenantCreate":{"properties":{"name":{"type":"string","title":"Name"},"slug":{"type":"string","title":"Slug"}},"type":"object","required":["name","slug"],"title":"TenantCreate"},"TenantResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"slug":{"type":"string","title":"Slug"},"plan":{"type":"string","title":"Plan"},"usage_minutes_current_period":{"type":"number","title":"Usage Minutes Current Period"},"usage_limit_minutes":{"type":"integer","title":"Usage Limit Minutes"},"vat_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vat Id"},"website":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Website"},"contact_phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Phone"},"billing_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Billing Email"},"address_street":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address Street"},"address_zip":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address Zip"},"address_city":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address City"},"address_country":{"type":"string","title":"Address Country","default":"DE"},"contact_phone_verified_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Contact Phone Verified At"},"profile_complete":{"type":"boolean","title":"Profile Complete","default":false}},"type":"object","required":["id","name","slug","plan","usage_minutes_current_period","usage_limit_minutes"],"title":"TenantResponse"},"TenantSummary":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"slug":{"type":"string","title":"Slug"},"plan":{"type":"string","title":"Plan"}},"type":"object","required":["id","name","slug","plan"],"title":"TenantSummary","description":"Kompakte Account-Info für den Admin-Umschalter im Header."},"TenantUpdate":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"slug":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slug"},"vat_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vat Id"},"website":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Website"},"contact_phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Phone"},"billing_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Billing Email"},"address_street":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address Street"},"address_zip":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address Zip"},"address_city":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address City"},"address_country":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Address Country"}},"type":"object","title":"TenantUpdate"},"TestCallRequest":{"properties":{"to_number":{"type":"string","title":"To Number","description":"E.164 phone number to call for testing"},"from_number":{"type":"string","title":"From Number","description":"Twilio number to call from"}},"type":"object","required":["to_number","from_number"],"title":"TestCallRequest"},"TopupRequest":{"properties":{"amount_eur":{"type":"integer","title":"Amount Eur"}},"type":"object","required":["amount_eur"],"title":"TopupRequest"},"TransferBusyCheck":{"properties":{"calendar_connection_id":{"type":"string","maxLength":64,"title":"Calendar Connection Id"},"calendar_id":{"anyOf":[{"type":"string","maxLength":512},{"type":"null"}],"title":"Calendar Id"}},"type":"object","required":["calendar_connection_id"],"title":"TransferBusyCheck","description":"Kalender, der vor dem Durchstellen auf Termine geprüft wird."},"TransferSchedule":{"properties":{"days":{"items":{"type":"integer"},"type":"array","maxItems":7,"title":"Days"},"start":{"type":"string","pattern":"^([01]\\d|2[0-3]):[0-5]\\d$","title":"Start","default":"09:00"},"end":{"type":"string","pattern":"^([01]\\d|2[0-3]):[0-5]\\d$|^24:00$","title":"End","default":"18:00"},"timezone":{"type":"string","maxLength":64,"title":"Timezone","default":"Europe/Berlin"}},"type":"object","title":"TransferSchedule","description":"Zeitfenster für die Live-Übergabe (siehe services/transfer_policy.py)."},"TwilioSyncResponse":{"properties":{"twilio_sid":{"type":"string","title":"Twilio Sid"},"voice_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Voice Url"},"voice_method":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Voice Method"},"status_callback":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status Callback"},"skipped":{"type":"boolean","title":"Skipped","default":false},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reason"}},"type":"object","required":["twilio_sid"],"title":"TwilioSyncResponse"},"UpdateConnectionRequest":{"properties":{"display_name":{"anyOf":[{"type":"string","maxLength":80},{"type":"null"}],"title":"Display Name"},"default_calendar_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Default Calendar Id"}},"type":"object","title":"UpdateConnectionRequest"},"UpdatePhoneNumberRequest":{"properties":{"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"friendly_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Friendly Name"}},"type":"object","title":"UpdatePhoneNumberRequest"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VoiceResponse":{"properties":{"voice_id":{"type":"string","title":"Voice Id"},"name":{"type":"string","title":"Name"},"preview_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Preview Url"},"language":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Language"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"naturalness":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Naturalness"},"inbound_score":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Inbound Score"},"outbound_score":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Outbound Score"},"sales_character":{"type":"boolean","title":"Sales Character","default":false},"character":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Character"},"styles":{"items":{"type":"string"},"type":"array","title":"Styles","default":[]},"curated":{"type":"boolean","title":"Curated","default":false}},"type":"object","required":["voice_id","name","preview_url"],"title":"VoiceResponse"},"VoiceSettings":{"properties":{"stability":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Stability","default":0.5},"similarity_boost":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Similarity Boost","default":0.75},"style":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Style","default":0.0},"speed":{"type":"number","maximum":1.2,"minimum":0.7,"title":"Speed","default":1.0}},"type":"object","title":"VoiceSettings"},"WebhookBody":{"properties":{"url":{"type":"string","maxLength":2000,"title":"Url"},"eventTypes":{"items":{"type":"string"},"type":"array","maxItems":20,"minItems":1,"title":"Eventtypes"},"description":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Description"}},"type":"object","required":["url","eventTypes"],"title":"WebhookBody"},"WebsiteAnalysisRequest":{"properties":{"url":{"type":"string","maxLength":500,"minLength":4,"title":"Url"}},"type":"object","required":["url"],"title":"WebsiteAnalysisRequest"},"_SimMessage":{"properties":{"role":{"type":"string","enum":["user","assistant"],"title":"Role"},"content":{"type":"string","maxLength":4000,"title":"Content"}},"type":"object","required":["role","content"],"title":"_SimMessage"},"app__routers__agents__CallResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"twilio_call_sid":{"type":"string","title":"Twilio Call Sid"},"direction":{"type":"string","title":"Direction"},"from_number":{"type":"string","title":"From Number"},"to_number":{"type":"string","title":"To Number"},"status":{"type":"string","title":"Status"},"duration_seconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration Seconds"},"cost_cents":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Cost Cents"},"tokens_charged":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Tokens Charged"},"transcript":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Transcript"},"recording_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Recording Url"},"is_test":{"type":"boolean","title":"Is Test","default":false},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"ended_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Ended At"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","tenant_id","agent_id","twilio_call_sid","direction","from_number","to_number","status","duration_seconds","cost_cents","transcript","recording_url","started_at","ended_at","created_at"],"title":"CallResponse"},"app__routers__agents__PaginatedCalls":{"properties":{"items":{"items":{"$ref":"#/components/schemas/app__routers__agents__CallResponse"},"type":"array","title":"Items"},"total":{"type":"integer","title":"Total"},"page":{"type":"integer","title":"Page"},"per_page":{"type":"integer","title":"Per Page"},"pages":{"type":"integer","title":"Pages"}},"type":"object","required":["items","total","page","per_page","pages"],"title":"PaginatedCalls"},"app__routers__calls__CallResponse":{"properties":{"id":{"type":"string","title":"Id"},"tenant_id":{"type":"string","title":"Tenant Id"},"agent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Id"},"phone_number_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number Id"},"twilio_call_sid":{"type":"string","title":"Twilio Call Sid"},"direction":{"type":"string","title":"Direction"},"from_number":{"type":"string","title":"From Number"},"to_number":{"type":"string","title":"To Number"},"status":{"type":"string","title":"Status"},"duration_seconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration Seconds"},"cost_cents":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Cost Cents"},"tokens_charged":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Tokens Charged"},"billing_category":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Billing Category"},"transcript":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Transcript"},"recording_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Recording Url"},"is_test":{"type":"boolean","title":"Is Test","default":false},"lead_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lead Id"},"campaign_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Campaign Id"},"agent_role":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Role"},"outcome":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Outcome"},"summary":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Summary"},"reach_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reach Status"},"grounding_review":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Grounding Review"},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"ended_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Ended At"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","tenant_id","agent_id","phone_number_id","twilio_call_sid","direction","from_number","to_number","status","duration_seconds","cost_cents","transcript","recording_url","lead_id","campaign_id","agent_role","outcome","summary","started_at","ended_at","created_at"],"title":"CallResponse"},"app__routers__calls__PaginatedCalls":{"properties":{"items":{"items":{"$ref":"#/components/schemas/app__routers__calls__CallResponse"},"type":"array","title":"Items"},"total":{"type":"integer","title":"Total"},"page":{"type":"integer","title":"Page"},"per_page":{"type":"integer","title":"Per Page"},"pages":{"type":"integer","title":"Pages"}},"type":"object","required":["items","total","page","per_page","pages"],"title":"PaginatedCalls"}}},"security":[{"bearerAuth":[]}]}